import java.lang.reflect.Field;

public class ReflectionsManipulation {

  public static void main(String... args){
    Example myExample = new Example();
    System.out.println("Zähler vorher: "+myExample.next());
    Class example = Example.class;
    Field[] fields = example.getDeclaredFields();
    for (int i = 0; i < fields.length; i++) {
      if(fields[i].getName().equals("not_manipulated_counter")){
        fields[i].setAccessible(true);
        try {
          fields[i].setInt(myExample, 100);
        } catch (IllegalAccessException e) {
          e.printStackTrace();
        }
      }
    }
    System.out.println("Zähler nachher: "+ myExample.next());
  }
}
